[Israel.pm] Coroutines in Perl

Yuval Kogman nothingmuch at woobling.org
Thu Mar 9 10:49:15 PST 2006


On Thu, Mar 09, 2006 at 20:02:56 +0200, Eli Billauer wrote:
> Shlomi Fish wrote:
> 
> >v5.8.1 is very out of date. Consider upgrading.
> > 
> Why consider? He has to do so urgently! No time to wait! Version 5.8.8 is out there, with changes which will make you wonder how you could bare an old rusty machine like 
> v5.8.1!
> 
> But now, seriously, upgrade notes always annoy me. If it will take some bugs away, I can bare it. But upgrading for the sake of upgrading is something for people who like 
> to break things just to get an excuse to waste time in fixing them.

The only "real" reason to upgrade to 5.8.8, unless you're suffering
from e.g. List::Util leaks, or other small quirks is that Unicode
support was fixed in 5.8.3.

> Even though in this case it isn't that bad. I mean, in the worst case someone will take this advice, waste some time on installing a new Perl version, just to discover 
> that nothing really changed. That's the good thing about Perl: There isn't really so much to fix. Even not in the version I'm running, v5.6.1.

Hell, that's still considered modern. Some people still run 5.005...


-- 
 ()  Yuval Kogman <nothingmuch at woobling.org> 0xEBD27418  perl hacker &
 /\  kung foo master: /me kicks %s on the nose: neeyah!!!!!!!!!!!!!!!!!

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://perl.org.il/pipermail/perl/attachments/20060309/7446f945/attachment.pgp 


More information about the Perl mailing list